output "ids" {
  description = "List of IDs of instances"
  value       = module.ec2_cluster.id
}

output "public_dns" {
  description = "List of public DNS names assigned to the instances"
  value       = module.ec2_cluster.public_dns
}

output "vpc_security_group_ids" {
  description = "List of VPC security group ids assigned to the instances"
  value       = module.ec2_cluster.vpc_security_group_ids
}

output "tags" {
  description = "List of tags"
  value       = module.ec2_cluster.tags
}

# output "placement_group" {
#   description = "List of placement group"
#   value       = module.ec2_cluster.placement_group
# }

output "instance_id" {
  description = "EC2 instance ID"
  value       = module.ec2_cluster.id[0]
}

output "instance_public_dns" {
  description = "Public DNS name assigned to the EC2 instance"
  value       = module.ec2_cluster.public_dns[0]
}

output "metadata_options" {
  description = "Metadata options for the instance"
  value       = module.ec2_cluster.metadata_options
}

